[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: About #625481 and uploading python-mocker to Sid.

Le Mon, Apr 02, 2012 at 05:55:23PM +0200, Jakub Wilk a écrit :
> * Charles Plessy <plessy@debian.org>, 2012-04-02, 22:15:
> >Dear Debian Python Modules Team,
> >
> >I tried to inject mocker in
> >svn+ssh://svn.debian.org/svn/python-modules/packages, but it is
> >not anymore writable for all DDs.
> Sorry about that, it's fallout after the Alioth upgrade.
> >Shall I join the Alioth group ?
> Yes, joining the team might be faster than waiting until we fix the
> permissions issue.

Thanks !

I have injected mocker, and made a couple of package updates.


Unfortunately, for #625481, the package still refuses to build twice in a row,
although with a different error.

 dpkg-source -I -b mocker-1.0
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building mocker using existing ./mocker_1.0.orig.tar.gz
dpkg-source: info: local changes detected, the modified files are:
dpkg-source: info: you can integrate the local changes with dpkg-source --commit
dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/mocker_1.0-2.diff.u4kUvm
dpkg-buildpackage: error: dpkg-source -I -b mocker-1.0 gave error exit status 2

The difference is:

--- a/mocker.egg-info/PKG-INFO
+++ b/mocker.egg-info/PKG-INFO
@@ -1,4 +1,4 @@
-Metadata-Version: 1.0
+Metadata-Version: 1.1
 Name: mocker
 Version: 1.0
 Summary: Graceful platform for test doubles in Python (mocks, stubs, fakes, and dummies)

I do not have time remaining today to investigate, but everybody is welcome...

Also, I see that there is a new upstream release available.  If anobody
knows particular pros or cons for the upgrade, please let me know.


Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan

Reply to: